<?php

if (!empty($_POST['msg']))
{	
	$msg = check($_POST['msg']);
	$msg = substr($msg, 0, 1000);
	if (empty($msg)) go(URL.'/chat/');

	if (!empty($_POST['reuser']) && is_numeric($_POST['reuser']))
	{
		$for_id = abs(intval($_POST['reuser']));
		$msg = user_name3(abs(intval($_POST['reuser']))).', '.$msg;
	} else $for_id = '';
	
	if (mysql_query("INSERT INTO `chat` SET
	`user_id` = '".$user_id."',
	`for_id` = '".$for_id."',
	`msg` = '".$msg."',
	`time` = '".time()."'
	") == true) {}

}

?>